"a mock of the github service class"
from unittest.mock import MagicMock
from github.AuthenticatedUser import AuthenticatedUser
from gamma.cli.services.project import GitHubService
MOCK_TOKEN = "toktok"

class FakeOrg():
    "a fake paginated output for organisations."
    totalCount = 0

    def __iter__(self):
        return iter(())


def build_mock():
    "build a mock out of the specs from a real service"
    real_svc = GitHubService()
    svc = MagicMock(spec=real_svc)
    svc.token = MOCK_TOKEN
    #svc.user = Mock(spec=["get_orgs", "login"])
    svc.user = MagicMock(spec=AuthenticatedUser)
    svc.user.get_orgs.return_value = FakeOrg()
    return svc



github = build_mock()  # pylint: disable=invalid-name
