"""
input number
"""

from termcolor import cprint


def input_int(text: str) -> int:
    """ prompt the user to indicate a integer value """
    while True:
        user_input = input(text).lower().strip()
        try:
            val = int(user_input)
            return val
        except ValueError:
            cprint("That's not an number", "red")
