"Behave feature steps"

import os
import subprocess

from behave import given, then, when


#@given('gamma tool')
#def g_tool(_context):
#    "test gamma tool: display help"
#    print(subprocess.Popen("python -m gamma.cli.gamma", shell=True, stdout=subprocess.PIPE).stdout.read())


@when('we run gamma --version')
def g_tool_version(_context):
    "run gamma tool: display version number"
    code = subprocess.Popen("python -m gamma.cli.gamma --version", shell=True, stdout=subprocess.PIPE).wait()
    assert code == 0


@then('the version 0.2.1 will be displayed')
def g_tool_version_checked(_context):
    "actually check that the version nhumber is correct"
    version_raw = subprocess.Popen("python -m gamma.cli.gamma --version", shell=True, stdout=subprocess.PIPE).stdout.read()
    assert "0.2.1" in str(version_raw)
