import os
import sys

package_path = os.path.dirname(os.path.abspath(__file__))
sys.path.insert(0, package_path + "/../gamma")

from gamma.cli.commands.gitignore import GitIgnore


def test_gitignore():
    gi = GitIgnore(None)

    assert gi.options() > 10
    assert len(gi.get_file("java,python")) > 1000
    assert gi.get_file("invalid") == ""
    assert gi.generate(("python", "flask")) is True
    assert gi.generate(("invalid")) is False


def test_gitignore_split():
    gi = GitIgnore(None)

    assert gi._split_options(("a", "b", "c")) == "a,b,c"
